// parallel02.cl
__kernel void X(__global  myint *aSeq,
                __global  myint *bSeq,
                __global myint *n)
{   myint index = get_global_id(0);
    if(index<*n){
        if (index < (*n)-1) {
            bSeq[index]=aSeq[index]+2*aSeq[index+1];
        }
        else {
            bSeq[index]=aSeq[index];
        }
    }
}

__kernel void Y(__global  myint *aSeq,
                __global  myint *bSeq,
                __global myint *n)
{   myint index = get_global_id(0);
    if(index<*n){
        if (index > 0) {
            bSeq[index] = aSeq[index] + 3*aSeq[index-1];
        }
        else {
            bSeq[index] = aSeq[index];
        }
    }
}


__kernel void copyBtoA(__global  myint *aSeq,
                    __global  myint *bSeq,
                    __global myint *n)
{   myint index = get_global_id(0);
    if(index<*n){
        aSeq[index]=bSeq[index];
    }
}
